package params

import (
	"flag"
)

type ParamsType struct {
	Worlddir string
	Port     int
	Help     bool
}

func Parse() ParamsType {
	params := ParamsType{}

	flag.StringVar(&(params.Worlddir), "worlddir", "./", "world directory")
	flag.IntVar(&(params.Port), "port", 8080, "port to use")
	flag.BoolVar(&(params.Help), "help", false, "Show help")
	flag.Parse()

	if params.Help {
		flag.PrintDefaults()
	}

	return params
}
